# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
kbs_dict = [
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_c9bb49df325c20ddc147137b3f769fa44d800dde.msu",
        "kb_name": "windows10.0-kb4577586-x64_c9bb49df325c20ddc147137b3f769fa44d800dde.msu",
        "win_vers": WindowsVersions.Windows10v20H2,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_238da6b730a3f6a709f31980b87e2d8ecb0a8973.msu",
        "kb_name": "windows10.0-kb4577586-x86_238da6b730a3f6a709f31980b87e2d8ecb0a8973.msu",
        "win_vers": WindowsVersions.Windows10v20H2,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_c9bb49df325c20ddc147137b3f769fa44d800dde.msu",
        "kb_name": "windows10.0-kb4577586-x64_c9bb49df325c20ddc147137b3f769fa44d800dde.msu",
        "win_vers": WindowsVersions.Windows10v2004,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_238da6b730a3f6a709f31980b87e2d8ecb0a8973.msu",
        "kb_name": "windows10.0-kb4577586-x86_238da6b730a3f6a709f31980b87e2d8ecb0a8973.msu",
        "win_vers": WindowsVersions.Windows10v2004,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_ec16e118cd8b99df185402c7a0c65a31e031a6f0.msu",
        "kb_name": "windows10.0-kb4577586-x64_ec16e118cd8b99df185402c7a0c65a31e031a6f0.msu",
        "win_vers": WindowsVersions.Windows10v1909,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_002b1ffa7fb31836aeaed74007a6949d31a96460.msu",
        "kb_name": "windows10.0-kb4577586-x86_002b1ffa7fb31836aeaed74007a6949d31a96460.msu",
        "win_vers": WindowsVersions.Windows10v1909,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_ec16e118cd8b99df185402c7a0c65a31e031a6f0.msu",
        "kb_name": "windows10.0-kb4577586-x64_ec16e118cd8b99df185402c7a0c65a31e031a6f0.msu",
        "win_vers": WindowsVersions.Windows10v1903,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_002b1ffa7fb31836aeaed74007a6949d31a96460.msu",
        "kb_name": "windows10.0-kb4577586-x86_002b1ffa7fb31836aeaed74007a6949d31a96460.msu",
        "win_vers": WindowsVersions.Windows10v1903,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_d0f434327db9e3308b86591c248c825c03687632.msu",
        "kb_name": "windows10.0-kb4577586-x64_d0f434327db9e3308b86591c248c825c03687632.msu",
        "win_vers": WindowsVersions.Windows10v1809,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_947f151a8bb5a0b0797702e53431c52d56c02c32.msu",
        "kb_name": "windows10.0-kb4577586-x86_947f151a8bb5a0b0797702e53431c52d56c02c32.msu",
        "win_vers": WindowsVersions.Windows10v1809,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_07eba1db5a2cfac83683bd43d727a3195a94b39b.msu",
        "kb_name": "windows10.0-kb4577586-x64_07eba1db5a2cfac83683bd43d727a3195a94b39b.msu",
        "win_vers": WindowsVersions.Windows10v1803,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_b737ffa841d2aab5cbf5e00560b93577a6d0b4d2.msu",
        "kb_name": "windows10.0-kb4577586-x86_b737ffa841d2aab5cbf5e00560b93577a6d0b4d2.msu",
        "win_vers": WindowsVersions.Windows10v1803,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_e0921a984710c3992b68e570115b29b9e8e5c708.msu",
        "kb_name": "windows10.0-kb4577586-x64_e0921a984710c3992b68e570115b29b9e8e5c708.msu",
        "win_vers": WindowsVersions.Windows10v1709,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_f1ee6a8c9cdc91b4486fde9dc98c9dc5f9babc77.msu",
        "kb_name": "windows10.0-kb4577586-x86_f1ee6a8c9cdc91b4486fde9dc98c9dc5f9babc77.msu",
        "win_vers": WindowsVersions.Windows10v1709,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x64_84ef2e9e7eb6bd2a3cfa5a8aef59adccab988e7d.msu",
        "kb_name": "windows10.0-kb4577586-x64_07eba1db5a2cfac83683bd43d727a3195a94b39b.msu",
        "win_vers": WindowsVersions.Windows10v1703,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows10.0-kb4577586-x86_9a3ade6ec24a2627276cbd7df0b39ece8ffee269.msu",
        "kb_name": "windows10.0-kb4577586-x86_9a3ade6ec24a2627276cbd7df0b39ece8ffee269.msu",
        "win_vers": WindowsVersions.Windows10v1703,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows8.1-kb4577586-x64_1c039dbdafaf12e9163e8d56cf578cc998306ecd.msu",
        "kb_name": "windows8.1-kb4577586-x64_1c039dbdafaf12e9163e8d56cf578cc998306ecd.msu",
        "win_vers": WindowsVersions.Windows81,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/d/msdownload/update/software/updt/2020/10/windows8.1-kb4577586-x86_d81dcb42a9b91d279c0b7510669bc0d556288fd3.msu",
        "kb_name": "windows8.1-kb4577586-x86_d81dcb42a9b91d279c0b7510669bc0d556288fd3.msu",
        "win_vers": WindowsVersions.Windows81,
        "arch": "x86",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows8-rt-kb4577586-x64_3dde08cdb47cb317ba47a9181fceee09951c614c.msu",
        "kb_name": "windows8-rt-kb4577586-x64_3dde08cdb47cb317ba47a9181fceee09951c614c.msu",
        "win_vers": WindowsVersions.Windows8,
        "arch": "x64",
    },
    {
        "dl_url": "http://download.windowsupdate.com/c/msdownload/update/software/updt/2020/10/windows8-rt-kb4577586-x86_2c105da7125b3d7a33edc8fd07c322261625bd3c.msu",
        "kb_name": "windows8-rt-kb4577586-x86_2c105da7125b3d7a33edc8fd07c322261625bd3c.msu",
        "win_vers": WindowsVersions.Windows8,
        "arch": "x86",
    },
]
bin_name_uninstaller = "uninstall_flash_player.exe"


def update_package():
    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    version = control.version.split("-")[0]

    # Downloading latest binaries
    wget("https://fpdownload.macromedia.com/get/flashplayer/current/support/uninstall_flash_player.exe", bin_name_uninstaller, proxies=proxies)
    # Windows KB's
    for dl_kb in kbs_dict:
        if not isfile(dl_kb["kb_name"]):
            wget(dl_kb["dl_url"], dl_kb["kb_name"], proxies=proxies)

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)
